- Qt 6.10
- Qt State Machine
- C++ Classes
- SignalEvent
- Qt 6.10.0 Reference Documentation

# QStateMachine::SignalEvent Class

class QStateMachine::SignalEvent

The SignalEvent class represents a Qt signal event. More...

- List of all members, including inherited members

## Public Functions

virtual | ~SignalEvent()
QList<QVariant> | arguments() const
QObject * | sender() const
int | signalIndex() const

## Detailed Description

A signal event is generated by a QStateMachine in response to a Qt signal. The QSignalTransition class provides a transition associated with a signal event. QStateMachine::SignalEvent is part of Qt State Machine Framework.

The sender() function returns the object that generated the signal. The signalIndex() function returns the index of the signal. The arguments() function returns the arguments of the signal.

See also QSignalTransition.

## Member Function Documentation

### `[virtual noexcept]` SignalEvent::~SignalEvent()

Destroys this SignalEvent.

### QList<QVariant> SignalEvent::arguments() const

Returns the arguments of the signal.

### QObject *SignalEvent::sender() const

Returns the object that emitted the signal.

See also QObject::sender().

### int SignalEvent::signalIndex() const

Returns the index of the signal.

See also QMetaObject::indexOfSignal() and QMetaObject::method().